- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

# cpool.h File Reference

Declares the ConnectionPool class. More...

`#include "beemutex.h"`
`#include <list>`
`#include <assert.h>`
`#include <time.h>`

Go to the source code of this file.

## Namespaces
namespace | mysqlpp
## Classes
class | mysqlpp::ConnectionPool
| Manages a pool of connections for programs that need more than one Connection object at a time, but can't predict how many they need in advance. More...
struct | mysqlpp::ConnectionPool::ConnectionInfo

## Detailed Description

Declares the ConnectionPool class.